Skip to main content
PATCH
/
v2
/
projects
/
{project_id}
Core - Update project
curl --request PATCH \
  --url 'https://api.orq.ai/v2/projects/proj_01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
  --header 'Authorization: Bearer $ORQ_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "name": "Customer Success Production",
    "description": "Production support and retention automations",
    "teams": ["team_support"]
  }'
{
  "project": {
    "project_id": "<string>",
    "name": "<string>",
    "key": "<string>",
    "is_archived": true,
    "is_default": true,
    "teams": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "created_by_id": "<string>",
    "updated_by_id": "<string>",
    "description": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Project ID to update.

Body

application/json
name
string

New project name. Omit to keep the current name.

teams
string[]

Replacement list of team identifiers associated with the project. Leave empty to remove all team associations.

description
string

New project description. Omit to keep the current description.

Response

200 - application/json

OK

project
object
required

Updated project.